public inbox for gentoo-commits@lists.gentoo.org
 help / color / mirror / Atom feed
From: "Brian Dolbec" <dolsen@gentoo.org>
To: gentoo-commits@lists.gentoo.org
Subject: [gentoo-commits] repo/gentoo:master commit in: dev-python/pypugjs/
Date: Fri, 25 Aug 2023 01:07:42 +0000 (UTC)	[thread overview]
Message-ID: <1692925645.222b252b2a52940c4207c2d2ff3f6481adc352ff.dolsen@gentoo> (raw)

commit:     222b252b2a52940c4207c2d2ff3f6481adc352ff
Author:     Brian Dolbec <dolsen <AT> gentoo <DOT> org>
AuthorDate: Fri Aug 25 01:04:22 2023 +0000
Commit:     Brian Dolbec <dolsen <AT> gentoo <DOT> org>
CommitDate: Fri Aug 25 01:07:25 2023 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=222b252b

dev-python/pypugjs: bump to 5.9.12-r1, Apply pytest patch from upstream

Signed-off-by: Brian Dolbec <dolsen <AT> gentoo.org>

 dev-python/pypugjs/Manifest                 |  1 +
 dev-python/pypugjs/pypugjs-5.9.12-r1.ebuild | 53 +++++++++++++++++++++++++++++
 2 files changed, 54 insertions(+)

diff --git a/dev-python/pypugjs/Manifest b/dev-python/pypugjs/Manifest
index 4abcc510d4cd..d4795415db7e 100644
--- a/dev-python/pypugjs/Manifest
+++ b/dev-python/pypugjs/Manifest
@@ -1 +1,2 @@
+DIST pypugjs-5.9.12-nose.patch.xz 12616 BLAKE2B 0cb8e8cce8af20c301e5781bca466c26f0ef97365fb67c0c46b241c0c110010a6dbf0bcc63dc7e8e886a875d2827b4fd3abd080f69022d9247d8c71c8ee80e07 SHA512 c575600273069f0395ceb55abc7dac3bf0889c8b17c89b5bf5562aa919d8818464c27eee6d7518c796b37bdbd3d265ac8301e845f024122c3cab87b0ccfaf617
 DIST pypugjs-5.9.12.gh.tar.gz 51164 BLAKE2B 32b7bbc2bde966ea53c6f52a77482f4f6ca1e0cb09948c1c9850cdd66e4449ecc60e2f6b812f57a7ade5bc323c48be5d105d63ab6680d5e2197cd203fce40d85 SHA512 c6e4bd3bb27d321e3721504e7c01f97d869eb2e29e3ac8f086aa696ca29436978ceaa420ef8ac9b5addd859f7764817b1f159e0f41784a3fdb9cd3a0620eb7dd

diff --git a/dev-python/pypugjs/pypugjs-5.9.12-r1.ebuild b/dev-python/pypugjs/pypugjs-5.9.12-r1.ebuild
new file mode 100644
index 000000000000..0ad4e6035f54
--- /dev/null
+++ b/dev-python/pypugjs/pypugjs-5.9.12-r1.ebuild
@@ -0,0 +1,53 @@
+# Copyright 1999-2023 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=poetry
+PYTHON_COMPAT=( python3_{10..12} )
+
+inherit distutils-r1 optfeature
+
+DESCRIPTION="Pug (Jade) syntax adapter for Django, Jinja2 and Mako templates"
+HOMEPAGE="https://github.com/kakulukia/pypugjs"
+SRC_URI="
+	https://github.com/kakulukia/pypugjs/archive/v${PV}.tar.gz
+		-> ${P}.gh.tar.gz
+"
+SRC_URI+=" https://dev.gentoo.org/~dolsen/distfiles/${P}-nose.patch.xz"
+
+LICENSE="MIT"
+SLOT="0"
+KEYWORDS="~amd64 ~arm64 ~riscv"
+
+RDEPEND="
+	>=dev-python/six-1.15.0[${PYTHON_USEDEP}]
+	>=dev-python/chardet-4.0.0[${PYTHON_USEDEP}]
+"
+BDEPEND="
+	test? (
+		dev-python/django[${PYTHON_USEDEP}]
+		>=dev-python/jinja-3.1.1[${PYTHON_USEDEP}]
+		>=dev-python/mako-1.1.3[${PYTHON_USEDEP}]
+		>=dev-python/tornado-6.0.4[${PYTHON_USEDEP}]
+	)
+"
+
+PATCHES=(
+	"${WORKDIR}/pypugjs-5.9.12-nose.patch"
+)
+
+distutils_enable_tests pytest
+
+src_prepare() {
+	# Remove pyramid backend as pyramid isn't packaged
+	rm -r pypugjs/ext/pyramid || die
+	distutils-r1_src_prepare
+}
+
+pkg_postinst() {
+	optfeature "converting to Django output" dev-python/django
+	optfeature "converting to Jinja2 output" dev-python/jinja
+	optfeature "converting to Mako output" dev-python/mako
+	optfeature "converting to Tornado output" dev-python/tornado
+}


             reply	other threads:[~2023-08-25  1:07 UTC|newest]

Thread overview: 29+ messages / expand[flat|nested]  mbox.gz  Atom feed  top
2023-08-25  1:07 Brian Dolbec [this message]
  -- strict thread matches above, loose matches on Subject: below --
2024-07-05 20:42 [gentoo-commits] repo/gentoo:master commit in: dev-python/pypugjs/ Petr Vaněk
2024-06-08  9:02 Michał Górny
2024-06-08  7:15 Arthur Zamarin
2024-05-24 12:18 Michał Górny
2024-05-24 12:18 Michał Górny
2024-05-24 11:09 Michał Górny
2024-05-24  4:03 Michał Górny
2024-03-14 19:19 Sam James
2023-12-25  6:43 Sam James
2023-03-07  9:23 Sam James
2022-11-14  5:05 Michał Górny
2022-07-29 10:12 Arthur Zamarin
2022-06-05  5:40 Michał Górny
2022-05-16 13:24 Michał Górny
2022-04-01 12:27 Michał Górny
2022-03-14 10:32 Yixun Lan
2022-01-08 10:36 Arthur Zamarin
2021-10-17  9:20 Michał Górny
2021-09-03  8:17 Arthur Zamarin
2021-09-03  8:17 Arthur Zamarin
2021-04-27 22:54 Sam James
2021-03-28 22:16 Brian Dolbec
2021-03-28 22:16 Brian Dolbec
2021-01-29 21:46 Brian Dolbec
2020-10-14 13:28 Brian Dolbec
2020-05-15  7:53 Brian Dolbec
2020-05-08 23:10 Brian Dolbec
2020-05-08 20:34 Brian Dolbec

Reply instructions:

You may reply publicly to this message via plain-text email
using any one of the following methods:

* Save the following mbox file, import it into your mail client,
  and reply-to-all from there: mbox

  Avoid top-posting and favor interleaved quoting:
  https://en.wikipedia.org/wiki/Posting_style#Interleaved_style

* Reply using the --to, --cc, and --in-reply-to
  switches of git-send-email(1):

  git send-email \
    --in-reply-to=1692925645.222b252b2a52940c4207c2d2ff3f6481adc352ff.dolsen@gentoo \
    --to=dolsen@gentoo.org \
    --cc=gentoo-commits@lists.gentoo.org \
    --cc=gentoo-dev@lists.gentoo.org \
    /path/to/YOUR_REPLY

  https://kernel.org/pub/software/scm/git/docs/git-send-email.html

* If your mail client supports setting the In-Reply-To header
  via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox